package com.xinxincaravan.caravan.vehicle.mapper;

import com.xinxincaravan.caravan.vehicle.entity.VehicleDepartureLog;
import com.xinxincaravan.caravan.vehicle.vo.VehicleDepartureLogVo;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.BaseMapper;

import java.util.List;

public interface VehicleDepartureLogMapper extends BaseMapper<VehicleDepartureLog> {

    VehicleDepartureLog selectLastByVehicleId(String vehicleId);

    List<VehicleDepartureLogVo> selectByVehicleId(String vehicleId);

    List<VehicleDepartureLogVo> selectVoAll(@Param("numberPlate") String numberPlate,@Param("time") String time);

    List<VehicleDepartureLogVo> selectVoAllNotAllData(@Param("numberPlate") String numberPlate, @Param("time") String time,@Param("companyList") List<Integer> companyList);

    Integer selectMileageByVehicleId(String vehicleId);

    String selectDayByVehicleId(String vehicleId);
}
